Skip to main content

Déterminer le prix du port virtuel

Déterminer les coûts d'un port virtuel.

Conditions préalables

  1. Authentifier - Soumettez vos informations d'identification, votre ID client et votre secret client pour OAuth2. authentification. Reportez-vous à API Authentication pour savoir comment appeler l'API OAuth afin de valider et d'authentifier vos informations d'identification.

  2. Obtenez des informations sur les attributs. Utilisez le point de terminaison Get All Metros pour trouver tous les métros où Equinix Fabric est disponible et déterminer l'emplacement du port dont vous fixez le prix.

Récupérer des informations sur les prix

Pour récupérer les estimations de prix des ports, envoyez une requête POST au point de terminaison /fabric/v4/prices/search. Envoyez vos critères de prix dans le corps de la requête.

POST /fabric/v4/prices/search
MethodPOST
URL or Endpoint/fabric/v4/prices/search
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parametersfilter

Exemple de requête cURL :

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_PORT_PRODUCT"
                ]
            },
            {
                "property": "/account/accountNumber",
                "operator": "=",
                "values": [
                    270001
                ]
            },
            {
                "property": "/port/location/ibx",
                "operator": "=",
                "values": [
                    "DA1"
                ]
            },
            {
                "property": "/port/type",
                "operator": "=",
                "values": [
                    "XF_PORT"
                ]
            },
            {
                "property": "/port/bandwidth",
                "operator": "=",
                "values": [
                    1000
                ]
            },
            {
                "property": "/port/package/code",
                "operator": "=",
                "values": [
                    "STANDARD"
                ]
            },
            {
                "property": "/port/serviceType",
                "operator": "=",
                "values": [
                    "EPL"
                ]
            },
            {
                "property": "/port/connectivitySource/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            },
            {
                "property": "/port/lag/enabled",
                "operator": "=",
                "values": [
                    false
                ]
            }
        ]
    }
}'

Exemple de réponse :

{
"data": [
    {
    "type": "VIRTUAL_PORT_PRODUCT",
    "code": "ECX00001.PROD",
    "name": "Equinix Fabric Port Product",
    "description": "Equinix Fabric Port",
    "account": {
        "accountNumber": 270001
    },
    "charges": [
        {
        "type": "MONTHLY_RECURRING",
        "price": 100.0
        },
        {
        "type": "NON_RECURRING",
        "price": 500.0
        }
    ],
    "currency": "USD",
    "port": {
        "package": {
        "code": "STANDARD"
        },
        "type": "XF_PORT",
        "location": {
        "ibx": "DA1"
        },
        "lag": {
        "enabled": false
        },
        "physicalPortsQuantity": 1,
        "bandwidth": 1000,
        "connectivitySource": {
        "type": "COLO"
        },
        "serviceType": "EPL"
    }
    }
],
"pagination": {
    "offset": 0,
    "limit": 1,
    "total": 1
}
}                
Cette page vous a-t-elle été utile ?